<?php

require'config.php';
$align='left';
$title='Полная информация об ip';
head();
aut();
levels(7);

if(!empty($_GET['ip'])) echo whois("whois.arin.net",$_GET['ip']);

function whois($url,$ip)
{
  // Соединение с сокетом TCP, ожидающим на сервере "whois.arin.net" по 
  // 43 порту. В результате возвращается дескриптор соединения $sock.
  $sock = fsockopen($url, 43, $errno, $errstr);
  if (!$sock) exit("$errno($errstr)");
  else
  {
    echo $url."<br>";
    // Записываем строку из переменной $_POST["ip"] в дескриптор сокета.
    fputs ($sock, $ip."\r\n");
    // Осуществляем чтение из дескриптора сокета.
    $text = "";
    while (!feof($sock))
    {
      $text .= fgets ($sock, 128)."||<br>";
    }
    // закрываем соединение
    fclose ($sock);

    // Ищем реферальный сервере
    $pattern = "|ReferralServer: whois://([^\n<:]+)|i";
    preg_match($pattern, $text, $out);
    if(!empty($out[1])) return whois($out[1], $ip);
    else return $text;
  }
}
echo '<br />';
$rm=(int)$_GET['rm'];
if($rm != 0) echo gb.'<a href="room?rm='.$rm.'">В чат </a>'.div;
///if ($mod)echo gb.'<a href="'.H.$inf[id].'">В анкету</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>